Create Wikivoyage Hindi
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikivoyage Hindi.

Thank you.

Patches uploaded for this task: https://gerrit.wikimedia.org/r/#/q/topic:T173013

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 10 2017, 3:58 PM
Marostegui triaged this task as Normal priority.
Marostegui added a subscriber: Marostegui.

Will this be a public wiki?
Please, ping us (DBAs) once the database is actually created.

Taking care of the initial configuration patches.

@Marostegui Yes, this will be a public wiki. Will create a subtask for preparing and check the storage layer for hi.wikivoyage. Regards.

MarcoAurelio updated the task description. (Show Details)Aug 10 2017, 4:59 PM
MarcoAurelio moved this task from unsorted/backlog to working on on the User-MarcoAurelio board.

Taking care of the initial configuration patches.

@Marostegui Yes, this will be a public wiki. Will create a subtask for preparing and check the storage layer for hi.wikivoyage. Regards.

Thanks - I will remove the DBA tag from this one then and use the one you create like we normally do :)

MarcoAurelio lowered the priority of this task from Normal to Low.
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 371083 had a related patch set (by MarcoAurelio) published:
[mediawiki/services/restbase/deploy@master] RESTBase configuration for hi.wikivoyage

https://gerrit.wikimedia.org/r/371083

Change 371083 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] RESTBase configuration for hi.wikivoyage

https://gerrit.wikimedia.org/r/371083

Change 371100 had a related patch set (by MarcoAurelio) published:
[analytics/refinery@master] Add hi.wikivoyage to stats

https://gerrit.wikimedia.org/r/371100

Change 371103 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/WikimediaMessages@master] Messages for the future hi.wikivoyage

https://gerrit.wikimedia.org/r/371103

Change 371109 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Initial configuration for hi.wikivoyage

https://gerrit.wikimedia.org/r/371109

Change 371103 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Messages for the future hi.wikivoyage

https://gerrit.wikimedia.org/r/371103

MarcoAurelio updated the task description. (Show Details)Aug 10 2017, 7:14 PM

Logos will be uploaded in 150px, 225px and 300px shortly. This is the optiPNG output:

$ ./optipng.exe -o7 hiwikivoyage*
** Processing: hiwikivoyage.png
150x150 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 4877 bytes
Input file size = 5129 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 3512
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 3512

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 3512

Output IDAT size = 3512 bytes (1365 bytes decrease)
Output file size = 3764 bytes (1365 bytes = 26.61% decrease)

** Processing: hiwikivoyage-1.5x.png
225x225 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 7671 bytes
Input file size = 7923 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 5455
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 5455

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 5455

Output IDAT size = 5455 bytes (2216 bytes decrease)
Output file size = 5707 bytes (2216 bytes = 27.97% decrease)

** Processing: hiwikivoyage-2x.png
300x300 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 10529 bytes
Input file size = 10781 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 7483
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7483

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7483

Output IDAT size = 7483 bytes (3046 bytes decrease)
Output file size = 7735 bytes (3046 bytes = 28.25% decrease)

Logos uploaded. I don't think I can do anything more here.

Change 371142 had a related patch set (by MarcoAurelio) published:
[pywikibot/core@master] Add hi.wikivoyage to wikivoyage family

https://gerrit.wikimedia.org/r/371142

MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.
Meno25 added a subscriber: Meno25.Aug 26 2017, 10:33 AM

@greg Can you please assign a sysadmin and a deployment window for this wiki to be created? Thanks.

greg added a subscriber: Dereckson.Sep 12 2017, 5:46 PM

(The related tasks are set inverse to what they should be :) sub-tasks are blockers)

@Dereckson is this one you can handle?

Change 371100 abandoned by MarcoAurelio:
Add hi.wikivoyage to stats

Reason:
Was done in later patch: Iab7a6629

https://gerrit.wikimedia.org/r/371100

Change 371100 restored by MarcoAurelio:
Add hi.wikivoyage to stats

Reason:
Misread the later patch. That was for Wikivoyage. Restoring.

https://gerrit.wikimedia.org/r/371100

Change 371100 merged by Nuria:
[analytics/refinery@master] Add hi.wikivoyage to stats

https://gerrit.wikimedia.org/r/371100

hi.wikivoyage now whitelisted on analytics/refinery

can we move on the creation of this one? All required config. is already on gerrit waiting to be merged.

Thanks.

(The related tasks are set inverse to what they should be :) sub-tasks are blockers)

@Dereckson is this one you can handle?

Yes, I can Monday morning just before EU SWAT.

MarcoAurelio updated the task description. (Show Details)Sep 22 2017, 7:51 PM
MarcoAurelio claimed this task.

@Dereckson Based on your message above, I've created https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20170925T1100 to happen two hours before EU SWAT this Monday. Please feel free to amend or remove it if you're no longer able to handle this.

Change 371109 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for hi.wikivoyage

https://gerrit.wikimedia.org/r/371109

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:32:45Z] <dereckson@tin> Synchronized dblists: Add hiwikivoyage to the set (T173013) (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:34:38Z] <dereckson@tin> rebuilt wikiversions.php and synchronized wikiversions files: +hiwikivoyage (T173013)

I see that logo are in Eng Language.

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:37:07Z] <dereckson@tin> Synchronized static/images/project-logos/: Logos for hi.wikivoyage.org (T173013) (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:37:56Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configuration for hi.wikivoyage.org (T173013) (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:47:12Z] <Dereckson> Create new database and tables for hi.wikivoyage (T173013)

Mentioned in SAL (#wikimedia-operations) [2017-09-25T11:47:23Z] <Dereckson> Repopulate sites tables for Wikidata clients (T173013)

MarcoAurelio changed the status of subtask T173029: Parsoid configuration for hi.wikivoyage from Stalled to Open.
MarcoAurelio changed the status of subtask T173033: Add hi.wikivoyage to wikistats from Stalled to Open.Sep 25 2017, 12:51 PM

I see that logo are in Eng Language.

That's because you saw it in the middle of the wiki creation. Everything should be fine by now. Do you have a link to the project village pump? It's important to have it added to Wikidata so I can, for example, propose the standard bot policy there. Thanks!

@MF-Warburg @SPQRobin Wiki is created so I think you can import stuff there.

I see that logo are in Eng Language.

That's because you saw it in the middle of the wiki creation. Everything should be fine by now. Do you have a link to the project village pump? It's important to have it added to Wikidata so I can, for example, propose the standard bot policy there. Thanks!

Sir, you can create local village pump page. Project:चौपाल is a name of the page.

Created. Wikidata links are taking a bit due to possible caching issues.

Change 371096 merged by Andrew Bogott:
[operations/puppet@production] Cloud VPS configuration for hi.wikivoyage

https://gerrit.wikimedia.org/r/371096

MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.Sep 25 2017, 8:05 PM

Change 371142 merged by jenkins-bot:
[pywikibot/core@master] Add hi.wikivoyage to wikivoyage family

https://gerrit.wikimedia.org/r/371142

MarcoAurelio closed this task as Resolved.Sep 27 2017, 1:19 PM
MarcoAurelio removed a project: Patch-For-Review.

I'm closing this task as the wiki has been created. The remaining task does not affect the operative of the wiki and it's already on the teams Kanban board so it'll get eventually done.

@MF-Warburg @SPQRobin Wiki is created so I think you can import stuff there.

Done.

Meno25 removed a subscriber: Meno25.Oct 10 2017, 2:44 PM